Ruby - Bug #4437

Hash does not match character read from file via 10#getc
02/24/2011 11:58 AM - bobjalex (Bob Alexander)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.2p136 (2010-12-25) Backport:
[i386-mingw32]

Description
Run this little program, and observe that the single-character read from a file does not match a hash key as it should.

Create a file with the single character 'x’, then read it back into var x.

open('x', 'w') {|f| f.write('x")}
x = open('x') {|f| f.getc}

Create a Hash with x as a key.
h = {'x' => 'xx'}
Retrieve the value, to show that the hash (of course) works with ordinary

characters.

p 'h["x"] =>", h["X"]
p 'h[?x] =>', h[?X]

Retrieve the value using the 'x' obtained using getc, showing that the
hash match fails for the same character as retrieved from a file.

puts
p 'x =>" X
p 'h[x] =>', h[x]

History

#1 - 02/24/2011 12:08 PM - bobjalex (Bob Alexander)
- File getc_bug.rb added

=begin
Oops -- my little program was included in the description, but that didn't seem to work out very well, so I'm attaching it.
=end

#2 - 06/26/2011 06:10 PM - naruse (Yui NARUSE)
- Status changed from Open to Feedback

| can't reproduce this with 1.9.2p188 on FreeBSD.
Can you reproduce with p180 (or latest ruby_1_9_2 branch)?

#3 - 11/05/2012 11:25 PM - mame (Yusuke Endoh)
- Status changed from Feedback to Rejected

| can't repro with trunk.

We cannot investigate this issue any more. I'm closing this ticket.
If you can reproduce it, or if you know anything, feel free to reopen.

Yusuke Endoh mame@tsg.ne.jp
getc_bug.rb 516 Bytes
